Name: z80asmide
Version: 1.3.2
Release: 4
Vendor: CalcForge RPM Repository (http://repo.calcforge.org)
Packager: Kevin Kofler <Kevin@tigcc.ticalc.org>
Source: %{name}-1.32.tar.gz
Group: Development/Tools
License: GPL
BuildRequires: gtk2-devel >= 2.8.0, openssl-devel, desktop-file-utils >= 0.10
Requires: spasm, wabbitsign
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Summary: Z80 Assembly IDE
%description
An IDE for GNU/Linux, similar to Assembly Studio, but with some unique features of its own including a tabbed interface and powerful macro support.

%package -n spasm
Version: 1.1
Release: 8
Summary: SPASM Assembler for the Z80 Assembly IDE
Group: Development/Languages

%description -n spasm
This package includes the SPASM assembler used by the Z80 Assembly IDE. Note
that this is a patched version of SPASM by the Z80 Assembly IDE author.

%package -n wabbitsign
Version: 7
Release: 8
Summary: Wabbitsign App Signer for the Z80 Assembly IDE
Group: Development/Tools

%description -n wabbitsign
This package includes the Wabbitsign flash application signer used by the Z80
Assembly IDE.

%prep
%setup -q -n z80asmide-1.32

%build
# Honor RPM optimization flags, force -fno-strict-aliasing because of aliasing-unsafe code
make GLOBAL_CFLAGS="$RPM_OPT_FLAGS"' -fno-strict-aliasing'

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
make install DESTDIR="$RPM_BUILD_ROOT"

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_bindir}/z80asmide
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/applications/revsoft-z80asmide.desktop
%{_datadir}/mime/packages/z80asmide.xml
%{_datadir}/mimelnk/text/x-z80asmsrc.desktop
%doc %{_datadir}/doc/z80asmide

%files -n spasm
%defattr(-, root, root)
%{_bindir}/spasm
%{_datadir}/z80asmide

%files -n wabbitsign
%defattr(-, root, root)
%{_bindir}/wabbit

%changelog
* Thu Nov 12 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> 1.3.2-4
- Rebuild for new OpenSSL in Fedora 12.

* Wed Jun 10 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> 1.3.2-3
- Rebuild for new OpenSSL in Fedora 11.

* Wed Apr 30 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 1.3.2-2
- Rebuild for new OpenSSL in Fedora 9.

* Wed Jul 4 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 1.3.2-1
- Update to 1.32.
- Drop upstreamed patches and manual directory sed hack.

* Sat Jun 23 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 1.3-1
- Update to 1.3.
- Drop no longer needed sed patch for the KDE MIME type registration.
- Override GLOBAL_CFLAGS on the make command line rather than with sed.
- Drop no longer needed absolute->relative symlink hack.
- Fix use of pushd in makefile.
- Fix yet another reference to wrong directory for manual

* Thu Jun 7 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 1.2-1
- Update to 1.2.
- Drop some no longer needed hacks.
- Add patch to fix desktop-file-install not being run with DESTDIR set.
- Update symlinking hack to remove absolute symlink, then recreate it relative.

* Tue May 29 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 1.1-1
- Update to 1.1.
- Drop upstreamed spasm-64bit patch.
- Update Makefile sanitizer.
- Add missing gtk-update-icon-cache calls.
- Update icon symlinking.
- Remove KDE MIME type registration, patch the new shipped one instead.
- Remove no longer needed desktop file patch.
- Fix reference to wrong directory for manual

* Mon Apr 30 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 1.0-1
- First Fedora RPM.
